Clutter::Group Class Reference
Inheritance diagram for Clutter::Group:
[legend]
Collaboration diagram for Clutter::Group:
[legend]

List of all members.

## Public Member Functions

virtual | ~Group ()
ClutterGroup* | gobj ()
| Provides access to the underlying C GObject.
const ClutterGroup* | gobj () const
| Provides access to the underlying C GObject.
ClutterGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | remove_all ()
| Removes all children actors from the Clutter::Group.
int | get_n_children () const
| Gets the number of actors held in the group.
Glib::RefPtr< Actor > | get_nth_child (int index)
| Gets a groups child held at index in stack.
Glib::RefPtr< const Actor > | get_nth_child (int index) const
| Gets a groups child held at index in stack.

## Static Public Member Functions

static Glib::RefPtr< Group > | create ()

## Protected Member Functions

| Group ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Group > | wrap (ClutterGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Group::~Group | ( |  | ) | `[virtual]`

Clutter::Group::Group | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Group> Clutter::Group::create | ( |  | ) | `[static]`

int Clutter::Group::get_n_children | ( |  | ) | const

Gets the number of actors held in the group.

Since cluttermm 0.2:

Returns:
  The number of child actors held in the group.

Glib::RefPtr<const Actor> Clutter::Group::get_nth_child | ( | int | index | ) | const

Gets a groups child held at index in stack.

Since cluttermm 0.2:

Parameters:

  index | The position of the requested actor.

Returns:
  A Clutter actor, or `0` if index is invalid.

Glib::RefPtr<Actor> Clutter::Group::get_nth_child | ( | int | index | ) |

Gets a groups child held at index in stack.

Since cluttermm 0.2:

Parameters:

  index | The position of the requested actor.

Returns:
  A Clutter actor, or `0` if index is invalid.

const ClutterGroup* Clutter::Group::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

Reimplemented in Clutter::Stage.

ClutterGroup* Clutter::Group::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

Reimplemented in Clutter::Stage.

ClutterGroup* Clutter::Group::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Actor.

Reimplemented in Clutter::Stage.

void Clutter::Group::remove_all | ( |  | ) |

Removes all children actors from the Clutter::Group.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Group > wrap | ( | ClutterGroup * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/group.h